const range = (n: number): number[] => Array.from(Array(n).keys());

export const randomNumber = (min: number, max: number) =>
  Math.floor(Math.random() * (max - min + 1)) + min;

export const randomString = (length: number) => {
  const chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
  const charlen = chars.length;

  return range(length)
    .map((n) => chars[randomNumber(0, charlen - 1)])
    .join("");
};
